import { OnInit, QueryList, ChangeDetectorRef } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
import { HttpClient } from "@angular/common/http";
import { ApiList } from "../../api";
import { GadgetTableComponent } from "../../gadget-group/gadget-table/gadget-table.component";
import { GadgetPivotChartComponent } from "../../gadget-group/gadget-pivot-chart/gadget-pivot.component";
import { GadgetPivotComponent } from "../../gadget-group/gadget-pivot/gadget-pivot.component";
import { BarChartsComponent } from "../../bar-charts/bar-charts.component";
export declare class PaneDownloadComponent implements OnInit {
    data: any;
    dialogRef: MatDialogRef<PaneDownloadComponent>;
    private DashboardPorletsService;
    private httpClient;
    private api;
    private ref;
    translation: any;
    table: QueryList<GadgetTableComponent>;
    pivot: QueryList<GadgetPivotComponent | GadgetPivotChartComponent>;
    newChart: QueryList<BarChartsComponent>;
    portlets: any[];
    constructor(data: any, dialogRef: MatDialogRef<PaneDownloadComponent>, DashboardPorletsService: DashboardPorletsService, httpClient: HttpClient, api: ApiList, ref: ChangeDetectorRef);
    ngOnInit(): void;
    close(): void;
    downloadAll(): Promise<void>;
    GetgadgetTitle(config: any): any;
    download(item: any): Promise<unknown>;
    getChartIndexInAll(item: any): number;
    downloadTable(item: any, title: any): Promise<unknown>;
    private updateFormat;
    getPortletType(item: any): any;
    updatePorletConfig(event: any): void;
}
